LINUX.ORG.RU

Унылый тред про systemd

 ,


0

1

С прискорбием вынуждены констатировать, что, к сожалению, всего за каких-то (буквально) пару лет экосистема GNU/Linux скатилась в отстойную помойку с принудительной установкой systemd.

Если еще пару (буквально) лет назад, мы с презрением смеялись в лицо тем, кто утверждал, что systemd это будущее Linux и что большая часть дистрибутивов рано или поздно перейдут на него, то теперь вовсе не смешно.

Подумать об этом мне пришлось после этого печального треда Непонятки с mpd и его заключения, процитирую:

Так нечем же пользоваться, если не systemd.

Мне-то хорошо, на рабочей станции у меня помирающая гента (openrc), а на ноуте прекрасный Void (runit), но когда доходит дело до посоветовать человеку что-то, где нет systemd, становится грустно.

Имею ли я что-то против systemd? Нет, не имею, но я пользовался им короткое время и этот опыт мне сильно не понравился, до рвот.

Будущее, безусловно, представляется лучшим, чем это печальное настоящее, но живём-то мы в настоящем, между прекрасным прошлым и будущим.


Lavos, я тебе занял место в топе, скажи и ты пару слов, что думаешь об этом печальном времени, в которое мы живём.

slon ()

а на ноуте прекрасный Void (runit)

Всё хорошо, лишь бы не runit как основной init.

Darth_Revan ★★★★★ ()

А уж сколько ужасных отвратительных вещей впихнут в линукс в будущем. Wayland, BUS1, универсальный пакетный менеджер с изоляцией каждой запущенной программы

makoven ★★★★★ ()

я пользовался им короткое время и этот опыт мне сильно не понравился, до рвот

Чем именно не понравился?

mathcrosp ★★ ()
Ответ на: комментарий от Darth_Revan

Я месяц плотно пользуюсь воидом и меня runit вполне устраивает, что же еще нужно от основного init'а, как не ровно то, что делает runit?

Я не знаю в чем смысл мема про бинарные логи, но неужели именно они?

slon ()

А что ты этим сказать хочешь? То, что systemd – де‐факто промышленный стандарт – безусловно, факт; как и, кстати, факт того, что будущее представляется лучшим (2 ← 1).

kalterfive ★★ ()
Последнее исправление: kalterfive (всего исправлений: 3)

Это нормально, луддиты должны страдать.

alexferman ()
Ответ на: комментарий от makoven

Wayland

Как буд-то в этом есть что-то плохое, серьезно.

Пройдет время, схаваете, еще и спасибо скажите.

ilipnitsky ★★★ ()
Ответ на: комментарий от mathcrosp

Чем именно не понравился?

Тем, что выскакивали непонятные баги или конфликты, когда не помогла документация, этого просто не было, приходилось как в том меме про Dive into Python копаться на форумах и рассылках, черт возьми, я ни разу, за вот уже 8 лет использования генты, не читал man openrc и был счастлив, у меня всё работало.

Ты хочешь конкретных фактов и какие у меня есть доказательства? Их не будет, я не записывал.

slon ()

Так нечем же пользоваться, если не systemd

openrc

upcFrost ★★★★★ ()
Ответ на: комментарий от slon

Меня в systemd все устраивает. Что там может неустраивать обычного пользователя?

ilipnitsky ★★★ ()
Ответ на: комментарий от ilipnitsky

Я примерно понимаю, почему из systemd делают такой себе util-linux, ларчик скорее всего просто открывается, а именно что поколения меняются, ветераны и диды уходят заниматься более полезными делами, а молодежь (зачастую дегенеративная, как в генте) просто не хочет/не может поддерживать свои init системы, которые работали годами, хорошо работали. Так вот им проще дропнуть всё, чтобы за них их работу делали более умные люди из команды Горшечникова и RedHat.

slon ()
Ответ на: комментарий от slon

что же еще нужно от основного init'а, как не ровно то, что делает runit?

Дьявол в деталях. Вот нужно мне было запускать ARM-бинарники на x86. Конечно можно в каком-то скрипте автозагрузки настройки binfmt прямо в /proc/sys/fs отправлять. В дебиане есть какой-то свой костыль. В других дистрибах, видимо, свои костыли. Мне оно надо - разбираться какую особенную вундервафлю придумали гентушники для настройки сети, просто они считают себя не такими как все и всяко сделают лучше

А можно использовать systemd-binfmt, который одинаков для любой системы с systemd. И так для для многих вещей, не только для binfmt. Удобно когда базовые конфиги во всех системах одинаковы.

makoven ★★★★★ ()
Последнее исправление: makoven (всего исправлений: 1)
Ответ на: комментарий от makoven

с изоляцией каждой запущенной программы

Почему этим должен заниматься пакетный менеджер?

sudopacman ★★★★★ ()

LFS в версии без systemd никто не отменял.

saahriktu ★★★★★ ()
Ответ на: комментарий от sudopacman

А почему все фапают на zfs и btrfs, и критикуют LVM, LUKS, mdadm?

makoven ★★★★★ ()
Ответ на: комментарий от sudopacman

Ну когда заходит такой разговор на лоре, у сторонников все-в-одном значительный перевес

makoven ★★★★★ ()

Так нечем же пользоваться, если не systemd

Когда перестаёшь обирсать systemd, и начинаешь курить его документацию, изучаешь всю его концепцию, хотя бы на уровне админа локалхоста, то понимаешь, что это изречение 100% правдиво. systemd, как бы его не ненавидели, де-факто стандарт. И не потому что по сговору с Майкрософтом РедХат решил убить Линукс, а потому что технически ничего лучше systemd просто нет!

Sunderland93 ★★★★★ ()
Ответ на: комментарий от slon

что же еще нужно от основного init'а, как не ровно то, что делает runit?

Нужно что-то, что может выдержать форкинг.

Darth_Revan ★★★★★ ()

Если еще пару (буквально) лет назад, мы с презрением смеялись в лицо тем, кто утверждал, что systemd это будущее Linux и что большая часть дистрибутивов рано или поздно перейдут на него, то теперь вовсе не смешно.

И поделом. Потому что теперь мы с ещё большим презрением смеёмся в лицо вам.

intelfx ★★★★★ ()
Ответ на: комментарий от intelfx

мы с ещё большим презрением смеёмся в лицо вам.

Родной, не демонстрируй ты свои комплексы.

tailgunner ★★★★★ ()
Ответ на: комментарий от makoven

ЕМНИП, есть определённые вещи, из-за которых функциональности типа снапшотов лучше быть в ФС.

sudopacman ★★★★★ ()

Ты лор со спортлото перепутал.

imul ★★★★★ ()
Ответ на: комментарий от sudopacman

Вот и пакеты и пакетный менеджер должны быть особые, чтобы легко натягивались на layerFS или BTRFS

makoven ★★★★★ ()

Ой, ну да ладно. Разработчики дистрибутивов вам ничего не должны, а глобально рассуждать за будущее GNU/Linux в контексте systemd го с семкамими на лавку с бабками грызть и сплечничать. Очень скудный наброс.

BigAlex ★★★ ()
Ответ на: комментарий от slon

я ни разу, за вот уже 8 лет использования генты, не читал man openrc и был счастлив, у меня всё работало

Чет я тогда не понял. Гента все еще на опенрц и пока лыжи никуда не намылила. Ты перешел на альтернативный (!) для генты загрузчик и ноешь, что в нем глюки?

MahMahoritos ★★★ ()
Ответ на: комментарий от MahMahoritos

я никуда не переходил, гента на рабстанции, воид на ноуте, и там и там нет systemd.

slon ()
Ответ на: комментарий от slon

я никуда не переходил, гента на рабстанции, воид на ноуте, и там и там нет systemd.

А этого тогда что за высер?

а молодежь (зачастую дегенеративная, как в генте) просто не хочет/не может поддерживать свои init системы, которые работали годами, хорошо работали

у меня помирающая гента (openrc)

openrc вполне работает, равно как я вся гента. В чем помирание выражается?

MahMahoritos ★★★ ()
Ответ на: комментарий от MahMahoritos

подскажи, за какой год в генте ебилд Blender? После этого серьезно отвечу на остальные вопросы, просто от этого зависит.

slon ()
Ответ на: комментарий от slon

подскажи, за какой год в генте ебилд Blender?

27 марта 2016, версия 2.77

Текущая версия Blender, как я вижу, - 2.78. Что, ебилд полугодовой давности уже никаких сил использовать нету? А если ебилд скопировать в локальный оверлей и поменять циферь в имени на 2.78? Новая версия настолько новая, что не поставится по старому ебилду?

MahMahoritos ★★★ ()
Последнее исправление: MahMahoritos (всего исправлений: 1)
Ответ на: комментарий от slon

подскажи, за какой год в генте ебилд Blender?

Ох, лол, а в оригинальном оверлее так вообще 29 сентября 2016 ебилд обновили.

Какое дальше нытье будет?

MahMahoritos ★★★ ()
Ответ на: комментарий от Sunderland93

То есть не важно, что кому-то функционал systemd не нужен, все должны как по команде выкинуть свои иниты и дружным строем учить документацию на systemd?

flyshoot ()
Ответ на: комментарий от MahMahoritos

Ты какими-то странными терминами оперируешь «оригинальный оверелей», дерево, что-ли? Так и называй.

Да, ты мне сейчас показал ебилд для Blender, который вышел в ноябре 2014 года, а знаешь почему нет Blender, который вышел в 2015 или в подходящем к концу 2016 году, хотя ебилды писали и для 2015 года, и для 2016 года? Разгадка находится в блендер-треде багзилы, где помирание генты четко видно в безумии и отваге дегенеративной молодежи, которая пришла на смену дидам.

Еще один яркий пример, я месяц назад написал Bug 592118 насчет того, что просмотрщик картинок media-gfx/nomacs не показывает самый распространенный формат картинок jpeg, если его главная зависимость (dev-qt/qtgui) собрана без юзфлага «jpeg», знаешь что мне ответил дегенеративный черт с лычкой «dev»? Что я могу подтереться своим багом, потому что он считает, что это не баг.

yeah so? I don't think this is a bug (unless nomacs crashes when those flags are disabled)...

Зацени, я ему говорю, что просмотрщик картинок не просматривает картинки, если его зависимость собрана без поддержки такового, а он говорит, раз не крашится, значит не баг. Если он не ничтожество, то кто он? Такое даже представить себе нельзя в Void и разруливании проблем там. Такое сложно себе представить где-либо :)

Если бы это был единичный случай с неадекватным разрабом, так нет, таких случаев сотни, если не тысячи, вот что подразумевалось под дегенеративной, но в тоже время конченной молодежи как причине помирания генты.

slon ()
Ответ на: комментарий от slon

Ты какими-то странными терминами оперируешь «оригинальный оверелей», дерево, что-ли? Так и называй.

Лол, ты даже не знаешь системы, которой пользуешься

https://wiki.gentoo.org/wiki/Overlay

Да, ты мне сейчас показал ебилд для Blender, который вышел в ноябре 2014 года

Вообще-то в марте 2016 - https://download.blender.org/release/Blender2.77/

blender-2.77-linux-glibc211-x86_64.tar.bz2 2016-Mar-19 13:32:50

Еще один яркий пример

Твоей криворукости. Почему у меня с обычным профилем default/linux/amd64/13.0/desktop/plasma и небольшим списком глобальных use-флагов

USE="bluetooth gstreamer djvu java mtp networkmanager openal pulseaudio samba theora v4l v4l2 zsh-completion infinality xvmc"

Указанный пакет собирается с поддержкой jpeg просто сам по себе?

emerge -pv dev-qt/qtgui

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] dev-qt/qtgui-5.6.1:5/5.6::gentoo  USE="dbus gif jpeg png udev xcb...

Если он не ничтожество, то кто он?

Если ты с самого начала вел себя так, то я бы тебя вообще из багтрекера забанил, если там есть такая функция. Ты как-то реализовал установку qtgui без поддержки jpeg, а виноваты ментейнеры, ага

таких случаев сотни, если не тысячи

Случаев криворучия пользователя и перекладывании вины на ментейнеров? Давай ка все перечисли.

MahMahoritos ★★★ ()
Ответ на: комментарий от MahMahoritos

Ты запутался, в дереве блендер 2.72, это ноябрь 2014 года, а ты мне какой-то 2.77 показываешь.

Какой блендер и когда вышел и какой в дереве, а какой в оверлеях я знаю (очевидно) лучше тебя, так что ты внимательно следи за цифрами.

default/linux/amd64/13.0/desktop/plasma

а не на plasma, все по твоему должны на plasma или desktop сидеть? Это дело каждого, я например на чистом первом профиле сижу.

В случае nomacs, всё, что нужно, это добавить 6 символов в ебилд, это критический runtime dependency:

		dev-qt/qtgui:=[jpeg]
сложно? Очевидно да, куда легче прикидываться кретинами.

https://wiki.gentoo.org/wiki/Overlay

Ну так прочитай что там написано, только внимательно, с самого начала и до

repositories to the tree that are "laid over" the main tree - hence the name, overlays. 

Давай ка все перечисли.

Держи:










































достаточно?

slon ()
Ответ на: комментарий от slon

Я уже смирился. И ты мирись. Наше время уходит. Для нас останется еще парочка маргинальных или протухших дистров.

Ну а будущее за ними — молодыми. Им с этим жить. Не нам.

К сожалению ушло время инженеров, переключающих тумблеры, подсовывающих перфокарты, меняющих лампы. Пришло время возящих сосиски по экрану, девов, почесывающих свое молодое, неокрепшее, только начавшее кучерявиться ЧСВ.

Знания сегментированы. А людей, тех кто в курсе, все такое же малое кол-во. Унификация всего в софте кое-как существует только внутри одного поколения девелоперов. И сколько раз придется наступать на эти же самые грабли будущим поколениям — врядли сейчас кто-то сможет ответить.

deep-purple ★★★★★ ()
Ответ на: комментарий от slon

не показывает ... jpeg

его главная зависимость (dev-qt/qtgui) собрана без юзфлага «jpeg»

Я что-то не понял, а что ты ожидал? Чем он тогда должен его показывать показывать? Почему у тебя флаг jpeg не включен/выключен глобально?

grem ★★★★★ ()
Ответ на: комментарий от grem

Я ожидал, что люди должны включать голову, когда пишут ебилды.

Чем он тогда должен его показывать показывать?

Он не показывает вообще, потому что тот, кто писал ебилд не читал rdepend сорса.

Почему у тебя флаг jpeg не включен/выключен глобально?

а зачем он мне глобально нужен? Мне это не нужно, это нужно конкретному пакету иначе этот ебилд вообще в дереве не нужен.

Но нет, он в дереве, но не работает :) Все довольны.

slon ()
Ответ на: комментарий от slon

Ты запутался, в дереве блендер 2.72

А в одном из общедоступных оверлеев 2.77 - http://data.gpo.zugaina.org/nightmare/media-gfx/blender/. Оверлеи использовать не запрещается. Так о чем нытье твое?

я например на чистом первом профиле сижу

Который предполагает систему без иксов, либо с иксами и с кастомной настройкой. Которую ты отказываешься делать.

сложно? Очевидно да, куда легче прикидываться кретинами.

Пока что прикидываешься только ты. Ну или не прикидываешсья, что печалит, если правда.

Держи:

Похоже, таки не прикидываешься.

Непонятно только, что такой д'Артаньян, как ты, забыл на ЛОРе?

MahMahoritos ★★★ ()
Ответ на: комментарий от slon

это нужно конкретному пакету иначе этот ебилд вообще в дереве не нужен

Он вообще ничего не показывает или только jpeg? Даже tiff и прочие не работают?

MahMahoritos ★★★ ()
Ответ на: комментарий от slon

а зачем он мне глобально нужен? Мне это не нужно, это нужно конкретному пакету

Ну так включи этот флаг пакету, ты же перед установкой видишь какие use-флаги включены у зависимостей. Откуда им знать какие форматы этим «Qt-based image viewer» ты собираешься смотреть «самый распространенный формат картинок jpeg», поддержка которого тебе почему-то глобально не нужна (у qtgui это Global Use Flag, а даже не Local).

Ты бы ещё глобально отключил поддержку «pdf» (который у него как глобальный Use-флаг) и возмущался, что okular не показывает pdf после установки.

grem ★★★★★ ()
Последнее исправление: grem (всего исправлений: 2)
Ответ на: комментарий от MahMahoritos

У него жалоба из разряда «Доктор, пишу Вам о следующей своей проблеме: я отрезал себе язык и теперь у меня что-то случилось с дикцией».

grem ★★★★★ ()
Последнее исправление: grem (всего исправлений: 1)
Ответ на: комментарий от slon

Я примерно понимаю, почему из systemd делают такой себе util-linux,

и почему же?

поколения меняются, ветераны и диды уходят заниматься более полезными делами

неа. трезвая оценка + лень. более чем уверен что они мыслят где-то так: оно работает - да. меня афектит - нет. ,

а молодежь (зачастую дегенеративная, как в генте)

ты про большинство здешних клоунов?

просто не хочет/не может поддерживать свои init системы, которые работали годами, хорошо работали

к твоему сведению в генте есть не один инит (к сожалению не знаю как там с багом о virtual/init (или как его так)). у гентушников зачесалось и они форкнули udev (eudev). так что пацаны не сидят сложа руки. Если бы ты поддерживал пакет/ПО у которого 1К стабильных пользователей ты бы думал поболее прежде чем говорить

как по мне с феноменом systemd все просто. в нашей сфере все меняется очень быстро. и даже к таким rock-stable вещам как инит начали в последнее время выдвигать новые требования к которым они оказались не готовы. Леня просто оказался в нужное время в нужном месте. И никто больше не просек фишку и не пришел с альтернативой.

Думаете всех девелоперов насильно заставляют переходить? или RH/FESC когото принуждает? Буй!! 95% девелоперов ленивые как и все ИТш-ки. Если есть ПО которое берет на себя часть работы которую раньше делал каждый пакет отдельно - знач будем переходить. вот и все..

Здесь есть 3 категории пользователей: (а) те кто ноет, слабо разбирается в разработке ПО, втч в сабже и ничего путного не делает; (б) те разбирается в ПО и в том что сабж местами? не идеален, они почти не ноют, иногда подкидывают дровишек в спор. и все потому что сабж не афектит ихнюю работу. (в) те кто умеет и пишет вещи поболее hello world. им плевать они просто делают/пишут то что им интересно. Их очень мало и очередь до systemd еще не скоро прийдет..

ZuBB ★★★★★ ()
Последнее исправление: ZuBB (всего исправлений: 1)

Ретрограды вроде тебя отмирают вместе с отсталыми технологиями. Будущее прекрасно.

entefeed ☆☆☆ ()
Ответ на: комментарий от slon

не просматривает картинки, если его зависимость собрана без поддержки такового

А, так из этих, которым важна «конфигурируемость».

До вас туго математика доходит. Одна опция — два варианта. Две опции — четыре. Десять — тысяча. Двадцать — миллион. Ты всерьёз считаешь, что можно проверить все комбинации? Да ещё и с претензиями, будто тебе кто-то обязан.

Хочешь починки — почини. Или найди и найми того, кто починит.

i-rinat ★★★★★ ()
Ответ на: комментарий от slon

dev-qt/qtgui:=[jpeg]

Всё правильно тебе написали.
В этом суть генты, USE-флагами можно отключать всё ненужное. Если мне принципиально не нужен jpeg, а смотрю только картинки png, нахрена мне тащить qtgui с jpeg?

Единственное, может быть стоило написать в elog для таких дятлов, но на десктопных системах, где нужен jpeg, как правило, флаг уже включен глобально.

TheAnonymous ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.